Skip to main content
API Preview
Developers

REST API/Exports

Exports

PDF reports and CSV data exports.

4 endpoints

Endpoints

MethodPathAuth
GET/exports/match/{match_id}/detail-report

Export match detail report (PDF)

JWT
GET/exports/member/{member_id}/gdpr-data

Export GDPR data (CSV)

JWT
GET/exports/org/{org_id}/bias-report

Export bias compliance report (PDF)

JWT
GET/exports/org/{org_id}/matches

Export match results (CSV/XLSX)

JWT

Endpoint Details

GET /exports/member/{member_id}/gdpr-data

GET/exports/member/{member_id}/gdpr-dataJWT

Export all member data as CSV for GDPR data portability. Only the member or a platform admin can access.

Path Parameters

NameTypeDescription
member_id*stringMember UUID

GET /exports/org/{org_id}/bias-report

GET/exports/org/{org_id}/bias-reportJWT

Export a bias compliance report. Organisation admins, auditors, and platform admins can access.

Path Parameters

NameTypeDescription
org_id*stringOrg UUID

GET /exports/org/{org_id}/matches

GET/exports/org/{org_id}/matchesJWT

Export organisation match results in CSV or XLSX format.

Path Parameters

NameTypeDescription
org_id*stringOrg UUID

Query Parameters

NameTypeDescription
formatstringExport format: csv or xlsx (default csv)

GET /exports/match/{match_id}/detail-report

GET/exports/match/{match_id}/detail-reportJWT

Export a match detail report as PDF. Org admins and platform admins can access.

Path Parameters

NameTypeDescription
match_id*stringMatch UUID